com.trendmicro.ds.platform.rest.object.tenant

## Class TenantElement

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.tenant.TenantElement

-     public class TenantElement
      extends java.lang.Object

  A structure containing information about Tenant.

  During tenant creation, only name, language, country, and time zone are required. If neither `allModulesVisible` nor `modulesVisible` are set at this time, the server will default to all modules being visible. Also, if `hideUnlicensedModules` is not set during tenant creation, a default value of `true` is assumed.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantElement()`
    `TenantElement(java.lang.Integer tenantID, java.lang.String name, java.lang.Integer databaseServerID, java.lang.String description, java.lang.String GUID, java.lang.String agentInitiatedActivationPassword, java.lang.String state, java.lang.String language, java.lang.String country, java.lang.String timeZone, java.lang.Boolean demoMode, java.lang.Boolean allModulesVisible, java.lang.String licenseMode, java.lang.String[] modulesVisible, java.lang.Boolean hideUnlicensedModules)` Create a TenantElement with all fields populated.
    `TenantElement(java.lang.String name, java.lang.String language, java.lang.String country, java.lang.String timeZone)` Create a TenantElement with all required fields populated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAgentInitiatedActivationPassword()` The password used during agent-initiated activation Agents can be activated from the command line using the syntax: `dsa_control /a dsm://{host}:4120/ tenantID:{guid} tenantPassword:{agentInitiatedActivationPassword}`
    `java.lang.Boolean` | `getAllModulesVisible()` Whether or not all modules are visible to the tenant.
    `java.lang.String` | `getCountry()` The tenant country (required for tenant creation).
    `java.lang.Integer` | `getDatabaseServerID()` The ID of the tenant database server.
    `java.lang.Boolean` | `getDemoMode()` Whether or not demo mode is enabled for the tenant.
    `java.lang.String` | `getDescription()` A text description of the tenant; this is a free-form text field that can be used to describe the tenant or attach information to them.
    `java.lang.String` | `getGuid()` Return the Tenant GUID, required for agent-initiated activation.
    `java.lang.Boolean` | `getHideUnlicensedModules()` Whether or not all unlicensed modules are hidden.
    `java.lang.String` | `getLanguage()` The tenant language (required for tenant creation).
    `java.lang.String` | `getLicenseMode()` License Mode gives the status of the license for the selected tenant.
    `java.lang.String[]` | `getModulesVisible()` The list of modules visible to the tenant.
    `java.lang.String` | `getName()` The tenant name (required for tenant creation).
    `java.lang.String` | `getState()` The tenant state, one of: UNDEFINED CREATED ACTIVE SUSPENDED PENDING_DELETION DB_UPGRADE_FAILURE The state must not be specified when creating a tenant.
    `java.lang.Integer` | `getTenantID()` The tenant ID.
    `java.lang.String` | `getTimeZone()` The tenant time zone (required for tenant creation).
    `void` | `setAgentInitiatedActivationPassword(java.lang.String agentInitiatedActivationPassword)`
    `void` | `setAllModulesVisible(java.lang.Boolean allModulesVisible)`
    `void` | `setCountry(java.lang.String country)`
    `void` | `setDatabaseServerID(java.lang.Integer databaseServerID)`
    `void` | `setDemoMode(java.lang.Boolean demoMode)`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setGuid(java.lang.String GUID)`
    `void` | `setHideUnlicensedModules(java.lang.Boolean hideUnlicensedModules)`
    `void` | `setLanguage(java.lang.String language)`
    `void` | `setLicenseMode(java.lang.String licenseMode)`
    `void` | `setModulesVisible(java.lang.String[] modulesVisible)`
    `void` | `setName(java.lang.String name)`
    `void` | `setState(java.lang.String state)`
    `void` | `setTenantID(java.lang.Integer tenantID)`
    `void` | `setTimeZone(java.lang.String timeZone)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantElement

          public TenantElement()

    - #### TenantElement

          public TenantElement(java.lang.Integer tenantID,
                               java.lang.String name,
                               java.lang.Integer databaseServerID,
                               java.lang.String description,
                               java.lang.String GUID,
                               java.lang.String agentInitiatedActivationPassword,
                               java.lang.String state,
                               java.lang.String language,
                               java.lang.String country,
                               java.lang.String timeZone,
                               java.lang.Boolean demoMode,
                               java.lang.Boolean allModulesVisible,
                               java.lang.String licenseMode,
                               java.lang.String[] modulesVisible,
                               java.lang.Boolean hideUnlicensedModules)

      Create a TenantElement with all fields populated.

    - #### TenantElement

          public TenantElement(java.lang.String name,
                               java.lang.String language,
                               java.lang.String country,
                               java.lang.String timeZone)

      Create a TenantElement with all required fields populated.

  - ### Method Detail

    - #### getTenantID

          public java.lang.Integer getTenantID()

      The tenant ID.

    - #### setTenantID

          public void setTenantID(java.lang.Integer tenantID)

    - #### getName

          public java.lang.String getName()

      The tenant name (required for tenant creation).

    - #### setName

          public void setName(java.lang.String name)

    - #### getDatabaseServerID

          public java.lang.Integer getDatabaseServerID()

      The ID of the tenant database server. `null` implies automatic selection, 0 implies the primary database server.

    - #### setDatabaseServerID

          public void setDatabaseServerID(java.lang.Integer databaseServerID)

    - #### getDescription

          public java.lang.String getDescription()

      A text description of the tenant; this is a free-form text field that can be used to describe the tenant or attach information to them.

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getGuid

          public java.lang.String getGuid()

      Return the Tenant GUID, required for agent-initiated activation.

    - #### setGuid

          public void setGuid(java.lang.String GUID)

    - #### getAgentInitiatedActivationPassword

          public java.lang.String getAgentInitiatedActivationPassword()

      The password used during agent-initiated activation
      Agents can be activated from the command line using the syntax:
      `dsa_control /a dsm://{host}:4120/ tenantID:{guid} tenantPassword:{agentInitiatedActivationPassword}`

    - #### setAgentInitiatedActivationPassword

          public void setAgentInitiatedActivationPassword(java.lang.String agentInitiatedActivationPassword)

    - #### getState

          public java.lang.String getState()

      The tenant state, one of:
      - UNDEFINED
      - CREATED
      - ACTIVE
      - SUSPENDED
      - PENDING_DELETION
      - DB_UPGRADE_FAILURE
      The state must not be specified when creating a tenant.
      The update tenant API only can change state from ACTIVE to SUSPENDED, or from SUSPENDED to ACTIVE.

    - #### setState

          public void setState(java.lang.String state)

    - #### getLanguage

          public java.lang.String getLanguage()

      The tenant language (required for tenant creation). Allowed languages are those in which Deep Security Manager has been localized, typically:
      - en - English
      - ja - Japanese
      - zh - Chinese

      If the combination of language and country does not match any of the locales supported by Deep Security Manager then the tenant will be created using the system's default locale.

    - #### setLanguage

          public void setLanguage(java.lang.String language)

    - #### getCountry

          public java.lang.String getCountry()

      The tenant country (required for tenant creation). Allowed countries are those for which Deep Security Manager has been localized, typically:
      - US - used when language="en" for US English
      - JP - used when language="jp" for Japanese
      - CN - used when language="zh" for Chinese

      If the combination of language and country does not match any of the locales supported by Deep Security Manager then the tenant will be created using the system's default locale.

    - #### setCountry

          public void setCountry(java.lang.String country)

    - #### getTimeZone

          public java.lang.String getTimeZone()

      The tenant time zone (required for tenant creation). Time zones should be specified using identifiers such as those returned from Java's `java.util.TimeZone` class. For example, "US/Eastern".

    - #### setTimeZone

          public void setTimeZone(java.lang.String timeZone)

    - #### getDemoMode

          public java.lang.Boolean getDemoMode()

      Whether or not demo mode is enabled for the tenant.

    - #### setDemoMode

          public void setDemoMode(java.lang.Boolean demoMode)

    - #### getAllModulesVisible

          public java.lang.Boolean getAllModulesVisible()

      Whether or not all modules are visible to the tenant. If this value is set to `true` then the value of `modulesVisible` is ignored.

    - #### setAllModulesVisible

          public void setAllModulesVisible(java.lang.Boolean allModulesVisible)

    - #### getLicenseMode

          public java.lang.String getLicenseMode()

      License Mode gives the status of the license for the selected tenant. This is only reported as information and cannot be set during tenant create or update.

    - #### setLicenseMode

          public void setLicenseMode(java.lang.String licenseMode)

    - #### getModulesVisible

          public java.lang.String[] getModulesVisible()

      The list of modules visible to the tenant. Possible values are the following module codes:

      - AM - Anti-Malware
      - WRS - Web Reputation
      - FW - Firewall
      - DPI - Intrusion Prevention
      - IM - Integrity Monitoring
      - LI - Log Inspection

      Ignored if allModulesVisible is `true`

    - #### setModulesVisible

          public void setModulesVisible(java.lang.String[] modulesVisible)

    - #### getHideUnlicensedModules

          public java.lang.Boolean getHideUnlicensedModules()

      Whether or not all unlicensed modules are hidden. During tenant creation, if this value is not specified, a default value of `true` is used.

    - #### setHideUnlicensedModules

          public void setHideUnlicensedModules(java.lang.Boolean hideUnlicensedModules)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.